Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007802opensim[REGION] OpenSim Corepublic2016-01-09 16:552019-02-06 11:30
ReporterTomTheDragon 
Assigned ToDiva 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMonoOperating SystemLinux amd64Operating System Version3.2.0
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0007802: Varregion region crossing failures
DescriptionThis seems to only affect varregions. When attempting to cross back into a region, after having crossed into a neighboring region (on another simulator instance), the crossing will fail. Simply walking across is all that seems to be needed for this bug to be triggered.

The simulator which the user appears to get stuck in receives the following message:
[ENTITY TRANSFER MODULE]: No ENTITY TRANSFER MODULE information for region handle 1099511628032000, exiting CrossToNewRegion.
Steps To Reproduce1. Create two regions for first OpenSim (1000, 1000) and (1000, 1004) 1024x1024
2. Create two regions for second OpenSim (1004, 1000) and (1004, 1004) 1024x1024
3. Log into region on the first instance
4. Cross into a region on the second instance
5. Attempt to cross into region on the first instance
TagsNo tags attached.
Git Revision or version numberee15c51ba475c4e56c26c60785a9e90fcd199766
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Script Engine
EnvironmentMono / Linux64
Mono Version2.10
ViewerSingularity Viewer 1.8.6
Attached Fileslog file icon OpenSim.1.log [^] (305,073 bytes) 2016-01-09 16:57
log file icon OpenSim.2.log [^] (294,771 bytes) 2016-01-09 16:57
log file icon Robust.log [^] (54,816 bytes) 2016-01-09 16:57
? file icon Robust.ini [^] (35,214 bytes) 2016-01-09 16:58
? file icon OpenSim1.ini [^] (56,561 bytes) 2016-01-09 16:58
? file icon OpenSim2.ini [^] (56,561 bytes) 2016-01-09 16:58
? file icon Carolina4.ini [^] (295 bytes) 2016-01-09 16:58
? file icon Carolina5.ini [^] (295 bytes) 2016-01-09 16:58
? file icon Carolina6.ini [^] (295 bytes) 2016-01-09 16:59
? file icon Carolina7.ini [^] (295 bytes) 2016-01-09 16:59
patch file icon 0001-Fix-region-data-range-selection-in-the-PGSQL-backend.patch [^] (5,039 bytes) 2016-01-10 07:03 [Show Content]
log file icon entity transfer failure.log [^] (5,022 bytes) 2016-03-04 07:19

- Relationships
related to 0007862new Avatar unable to cross var borders in 0.9.0.0 

-  Notes
(0029928)
TomTheDragon (reporter)
2016-01-09 22:02

I have attached a patch, however, this may be a crude workaround that breaks other things. However, it's there if anyone wants to test this as a solution. Seems to work all right with vehicle crossings.
(0029929)
UbitUmarov (administrator)
2016-01-10 05:07

im afraid the problem is elsewhere :(
In that place code needs to be identical to current master.
Your code will possible fail if cross to a larger one (this fails are movement direction dependent)
The new grid should now find a region by a point on it, and not only the reference point position like older versions did
If it is failing, then something is still wrong on that
(0029930)
UbitUmarov (administrator)
2016-01-10 05:21

what database are you using? MySQL or other ?
(0029931)
TomTheDragon (reporter)
2016-01-10 05:29

I am using the Postgres database. I was under the impression that varregions had to be of identical size. If this is no longer a current restriction, yes, then the problem is somewhere else.
(0029932)
TomTheDragon (reporter)
2016-01-10 07:04

Ubit tracked this issue down to the PGSQL database backend. I have included a patch which properly implements the range queries for region data.
(0029933)
UbitUmarov (administrator)
2016-01-10 10:16

Thanks, the patch is now on master
(0030020)
alynnafoxie (reporter)
2016-01-23 20:22

I have this exact same error however my database is MySQL (though the actual DB end is MariaDB).
(0030031)
TomTheDragon (reporter)
2016-01-27 18:07

The lack of the entity transfer information for neighboring sims ("No ENTITY TRANSFER MODULE") has the potential to be caused by a bug in the MySQL code. As I've based my code directly on the MySQL code, any bug is likely shared.

Note, my testing was only done on 1024x1024 regions adjacent to one another. What sort of layout do you have?
(0030056)
Gavin Hird (reporter)
2016-03-04 06:22

I think I am experiencing the same issue on standard sized regions, and it only occurs on region crossings between regions in different simulators.

I'll apply the patch and see how it works (running Postgres too)
(0030057)
Gavin Hird (reporter)
2016-03-04 06:36

I had already applied the patch from master earlier and it does not fix it. The issue cropped up in the late phase of 0.8.2 development without me being able to pinpoint exactly where. It also exist in 0.8.2.1

I am running the two simulators on the same machine (same IP, different ports). This might have something to do with it.
(0030058)
Gavin Hird (reporter)
2016-03-04 06:46

Let me add that teleporting across the region border works fine. Walking/flying don't.
(0030060)
Gavin Hird (reporter)
2016-03-04 07:34

Let me try that again.


The region it is trying to cross to runs on the simulator with address http://sim1.xmir.org:8301/. [^] The departing region runs on http://sim1.xmir.org:9000/ [^]

As you see from the log file snippet below, it is not able to find the region in the query to http://sim1.xmir.org:8301/ [^]


2016-03-04 16:15:18,828 DEBUG (Heartbeat-(Skomrak)) - OpenSim.Services.Connectors.Simulation.SimulationServiceConnector [REMOTE SIMULATION CONNECTOR]: QueryAccess to http://sim1.xmir.org:8301/agent/97d02b42-9119-4708-804e-4c7d699162ae/644e1e53-76c9-4ae3-8146-7624831b65cd/ [^] [^] returned True, reason , version 0/0
2016-03-04 16:15:18,832 DEBUG (Heartbeat-(Skomrak)) - OpenSim.Region.CoreModules.Framework.EntityTransfer.EntityTransferModule [ENTITY TRANSFER MODULE] GetDestination: region not found. Old region name=Skomrak at <1000,1002> of size <256,256>. Old pos=<5.131564, 256.0646, 35.84481>
2016-03-04 16:15:18,834 DEBUG (Heartbeat-(Skomrak)) - OpenSim.Region.Framework.Scenes.ScenePresence [SCENE PRESENCE] CheckForBorderCrossing: Crossing failed. Restoring old position.
(0030069)
TomTheDragon (reporter)
2016-03-06 15:30

This doesn't appear to be the same error I faced. However, it might have something to do with the changed method of locating other regions in the database code. Can this be replicated with MySQL?
(0030414)
Scooby Scorfield (reporter)
2016-06-07 02:06

I have a set of Var regions, all the same size running in the same instance with a MySQL backend and I get these crossing issues with the original error - ENTITY TRANSFER MODULE
(0030418)
kenvc (reporter)
2016-06-07 11:08
edited on: 2016-06-07 11:09

I see this same issue. It has been going on for some time with no fix put into dev master. I am using MySQL.

(0030443)
Diva (administrator)
2016-06-10 08:26

See the note I added to a related mantis, which may apply here too:

http://opensimulator.org/mantis/view.php?id=7862#c30439 [^]
(0030530)
Scooby Scorfield (reporter)
2016-06-15 01:22

As noted above, the Robust services have been updated to v0.9, and so far I have had no further issues - 20+ sim crossings without a problem.
(0030531)
danbanner (manager)
2016-06-15 02:28

Running two 512x512 vars in separate instances and crossings are working fine for me too.
(0030617)
Diva (administrator)
2016-06-21 09:35

Is this fixed?
(0030651)
Mandarinka Tasty (reporter)
2016-06-22 00:15
edited on: 2016-06-22 01:00

I personally still experience problems with crossing and flying between

two adjacent var regions, both running on different instances.

When i teleport myself from one var to second one all works great.

Only during crossing and flying i have problems:

avatar is halted on the border, between regions.

Console of Region A ( where i start crossing ) shows message:

[ENTITY TRANSFER MODULE]: GetRegionContainingWorldLocation: call, XY=<4096127.99900818,4096771.47851563>

[ENTITY TRANSFER MODULE]: GetRegionContainingWorldLocation: Found region using legacy size. rloc=<4096000,4096768>. Rname=MANDARINKA

[REMOTE SIMULATION CONNECTOR]: QueryAccess to http://83.30.115.154:9001/agent/f9eb015b-5f9e-4255-aa99-7d5796a525e0/af3ee438-bfbe-46da-a167-be9fcc5f5ea8/ [^] returned True, reason , version 0/0

[ENTITY TRANSFER MODULE]: Crossing agent Mandarinka Tasty completed.


region console B ( adjacent one, my destination , where i cross to )

shows nothing.

(0030652)
Mandarinka Tasty (reporter)
2016-06-22 01:07
edited on: 2016-06-22 01:21

I wonder, why above, in my case:

ctx.InboundVersion = 0 and

ctx.OutboundVersion = 0

that is source of my crossing/flying problem ?

but when i teleport between those two adjacent regions, then all is ok and it shows:

[REMOTE SIMULATION CONNECTOR]: QueryAccess to http://83.30.115.154:9001/agent/f9eb015b-5f9e-4255-aa99-7d5796a525e0/af3ee438-bfbe-46da-a167-be9fcc5f5ea8/ [^] [^] returned True, reason , version 0.6/0.6

(0030653)
Robert Adams (administrator)
2016-06-22 04:47

The log message "Found region using legacy size." means the grid service did a query for that location with the 256x256 size and found a region there. This can happen either if there is an old entry in the database (did you have a 256x256 sized region at this grid coordinate before increasing its size?) or there is a bug in the grid location lookup. The latter was the problem when accessing an older version of the grid service (a 0.9.0 region using a 0.8.2 grid service).

Is this problem on a standalone grid or are you running on some public grid?
(0030654)
Mandarinka Tasty (reporter)
2016-06-22 05:52

Hello.

Those two var regions are located in osgrid and i run them only for tests, for hunting bugs, mantis etc. Their size is:

SizeX = 768
SizeY = 768
SizeZ = 256

That means, i start them , i keep them online maximum 15 minutes and i shut them down.

on those coordinates, i have never had regions: 256x256.


but maybe other person had in the past, for exampel 2 years ago ?


i do not know.
(0030661)
nebadon (administrator)
2016-06-22 07:08

You might try moving their location away from everything and try again, see if this problem still exists, possibly you are overlapping an old region, though i thought we had checks in place for that now.
(0030662)
Diva (administrator)
2016-06-22 08:19

Mandarinka: before trying any teleport or crossing, upon login in, check whether you see the neighbor. I suspect the problem you are having comes way before any attempts are made at crossing.
(0030669)
Mandarinka Tasty (reporter)
2016-06-22 12:00

Diva :) Neighbour region you mean precisely ?

Of course, I can see neighbour region on map and with eyes too :)

If i would not see neighbour region, i would not try to cross/fly to it.

I stand 10 meters from the border and i start to walk, and i am halted = stopped.

Probably you're right, that source of problem has its source, at once after starting region, or after my teleport to this region.


I describe precisely process once again:

I log in ( OnNewClient ) region Sandbox Plaza in OSGrid.

Next I teleport to my first test var region, let's call it region A.

I land on coordinates: 128, 128, z

Next, inside this region A, i tp myself to 128,760,z, to make avatar stand 8 meters from the border.

I can see region B very well ( i can even teleport successfully to region B)

but when i start to walk, then i reach the border and stop=I'm halted.

All messages at console of region A i have written above.

Console of region B does not show anything.


Though console of region B knows that my avatar exists in region A,

because it shows me via comand: show user, as a child avatar.
(0030672)
Mandarinka Tasty (reporter)
2016-06-22 13:12

I start those two test var regions in a following sequence:

first region, that starts: region MANDARINKA - VAR I

second region, that starts: region MANDARINKA - VAR II

And now consoles' logs:

console of MANDARINKA - VAR II:

22:05:10 - [SCENE COMMUNICATION SERVICE]: Informing 1 neighbours that region MANDARINKA - VAR II is up

22:05:10 - [GRID SERVICE]: GetRegionByPosition. Did not find region in database. Pos=<16000,16000>

22:05:10 - [LOCAL GRID SERVICE CONNECTOR]: GetRegionByPosition. Region not found by grid service. Pos=<16000,16000>

22:05:11 - [REMOTE GRID CONNECTOR]: GetRegionByPosition. Added region MANDARINKA - VAR I to the cache. Pos=<16000,16000>, RegionHandle=17592186048512000

22:05:11 - [SCENE COMMUNICATION SERVICE]: Region MANDARINKA - VAR II successfully informed neighbour MANDARINKA - VAR I at 16000-16000 that it is up

22:05:11 - [REGION CACHE]: (on region MANDARINKA - VAR II) Region MANDARINKA - VAR I is up @ 16000-16000

console of MANDARINKA - VAR I:

22:05:11 - [REGION CACHE]: (on region MANDARINKA - VAR I) Region MANDARINKA - VAR II is up @ 16000-16003
(0030673)
nebadon (administrator)
2016-06-22 13:17

I am unable to recreate your failure, I went from "Sand Box Plaza" to "Newton" then teleported near the border of "Sisyphus" and walked right over the boarder without the slightest hesitation.
(0030674)
nebadon (administrator)
2016-06-22 13:19

just to be thorough I walked back across the border from "Sisyphus" to "Newton" and also was perfectly smooth transition.
(0030675)
Mandarinka Tasty (reporter)
2016-06-22 13:47

Well, I believe, that it works for You.

maybe there is something in your configuration of your var regions, that

is different than in mine ones. But for those two problematic regions

I use default configs from osgrid release to make my tests be convergent to

mainstream.
(0030676)
Mandarinka Tasty (reporter)
2016-06-22 13:49

Those two test var regions, I run on my home computer, not on my grids' servers.

and additionally I use SQLite.
(0030677)
Gavin Hird (reporter)
2016-06-22 13:59

If you use SQLite it might be that the query to the database server is not working. The PostgreSQL code/query had to be changed to make the crossings work.

The change was commited in http://opensimulator.org/viewgit/?a=commit&p=opensim&h=905dec5d23f13a3c65e333a2a8b51241248a7709 [^]
(0030678)
Mandarinka Tasty (reporter)
2016-06-22 14:16
edited on: 2016-06-22 14:16

I see, ty Gavin for this info. I have silently assumed

that there should not be any difference. hmm do you think, that modificaiton of

code part refering to sqlite in analogous way that has been made for PostgreSQL

can be success ?

i wonder if there are other testers who could run two adjacent var regions

with sqlite

and check them in aspect of crossings/flyings

(0030679)
Diva (administrator)
2016-06-22 14:19

Try placing the regions on another location in osgrid
(0030680)
Diva (administrator)
2016-06-22 14:48

btw crossing from south to north will, indeed, find the region "using legacy size." So that's not the issue.

Where are you seeing this?
"
ctx.InboundVersion = 0 and
ctx.OutboundVersion = 0
"
(0030681)
Mandarinka Tasty (reporter)
2016-06-22 14:50

Here:

[REMOTE SIMULATION CONNECTOR]: QueryAccess to http://83.30.115.154:9001/agent/f9eb015b-5f9e-4255-aa99-7d5796a525e0/af3ee438-bfbe-46da-a167-be9fcc5f5ea8/ [^] [^] returned True, reason , version 0/0 <---


when i try to cross=walk from VAR I to VAR II
(0030682)
Mandarinka Tasty (reporter)
2016-06-22 14:50

in console of departure region = MANDARINKA - VAR I
(0030683)
Diva (administrator)
2016-06-22 14:56

yeah, that's not right.
14:55:43 - [REMOTE SIMULATION CONNECTOR]: QueryAccess to http://ucigrida.nacs.uci.edu:9002/agent/4e03086c-4ac3-4df3-9048-83261d9d8171/4e9f96df-72fa-4938-b4cc-899660e9a520/ [^] returned True, reason , version 0.6/0.6
(0030684)
Mandarinka Tasty (reporter)
2016-06-22 15:00

when i teleport myself from var I to VAR II or opposite, then all is ok

it shows 0.6/0.6 but crossing and flying = 0/0
(0030685)
Mandarinka Tasty (reporter)
2016-06-22 15:17

region MANDARINKA - VAR I has grid coordinates:

Location = 16000,16000

but console of MANDARINKA - VAR II shows:

2016-06-22 23:56:09,406 DEBUG (STP:Util:9) - OpenSim.Region.CoreModules.ServiceConnectorsOut.Grid.RemoteGridServicesConnector [REMOTE GRID CONNECTOR]: GetRegionByPosition. Added region MANDARINKA - VAR I to the cache. Pos=<16000,16002>, RegionHandle=17592186048512000
(0030686)
Diva (administrator)
2016-06-22 15:25

That's a bit misleading, but that's ok.
(0030687)
Diva (administrator)
2016-06-22 15:56

See if this helps:
[15:55] <cia-opensim> opensim: diva * r1e213f5150b7 OpenSim/Server/Handlers/Simulation (AgentHandlers.cs):
[15:55] <cia-opensim> Mantis 0007802: added debug message to diagnose the problem.

This prints something on the receiving sim's console
(0030688)
Mandarinka Tasty (reporter)
2016-06-22 17:22

after compiling master with yoru debugger,

destination region's console = receiving region's console, shows:

[AGENT HANDLER]: QueryAccess returned True (). Version=0, 0.6/0.6


but still i can't cross borders
(0030689)
Mandarinka Tasty (reporter)
2016-06-22 17:57

After few hours of testign with Ubit, He has suggested me to set decimator =

separator of numbers in my windows from " , " to " . "

and it looks that we can cross borders !

but i use Polish system in my pc, i need to use decimator this one:

" , " to make windows work with my other applications.

how such decimator in windows has such influence ?

and what i can do now ? shud i keep in my windows this improper for Poland

" . " ?
(0030690)
Diva (administrator)
2016-06-22 18:11
edited on: 2016-06-22 18:25

[18:10] <cia-opensim> opensim: diva * r33efc91342a3 OpenSim/Region/CoreModules/Framework/EntityTransfer (EntityTransferModule.cs):
[18:10] <cia-opensim> Mantis 0007802: set culture to US English on the thread that does the agent crossing, now that it's async and needs to parse decimal numbers.

Please try this with your box back to what it was.

(0030713)
Diva (administrator)
2016-06-23 14:02

So is this fixed?
(0030714)
Mandarinka Tasty (reporter)
2016-06-23 14:12

Yes, absolutely. I have just verified vehicles crossing and also setting culture

significantly help me !! :)

Thank You very much. I consider that settign culture is going to help plenty of user of OpenSim,

that also uses separator " ," in their operational systems.

That's really great fix.

I would have never thought neither predicted that such thing could be stopper.
(0030715)
Diva (administrator)
2016-06-23 14:23

As per reported
(0034515)
BillBlight (developer)
2019-02-06 11:30

Marked as Resolved but never closed, can be reopened if needed.

- Issue History
Date Modified Username Field Change
2016-01-09 16:55 TomTheDragon New Issue
2016-01-09 16:55 TomTheDragon File Added: OpenSim.2.log
2016-01-09 16:57 TomTheDragon File Deleted: OpenSim.2.log
2016-01-09 16:57 TomTheDragon File Added: OpenSim.1.log
2016-01-09 16:57 TomTheDragon File Added: OpenSim.2.log
2016-01-09 16:57 TomTheDragon File Added: Robust.log
2016-01-09 16:58 TomTheDragon File Added: Robust.ini
2016-01-09 16:58 TomTheDragon File Added: OpenSim1.ini
2016-01-09 16:58 TomTheDragon File Added: OpenSim2.ini
2016-01-09 16:58 TomTheDragon File Added: Carolina4.ini
2016-01-09 16:58 TomTheDragon File Added: Carolina5.ini
2016-01-09 16:59 TomTheDragon File Added: Carolina6.ini
2016-01-09 16:59 TomTheDragon File Added: Carolina7.ini
2016-01-09 22:02 TomTheDragon Note Added: 0029928
2016-01-09 22:02 TomTheDragon File Added: 0001-Modify-the-EntityTransferModule-to-use-region-draw-d.patch
2016-01-10 05:07 UbitUmarov Note Added: 0029929
2016-01-10 05:21 UbitUmarov Note Added: 0029930
2016-01-10 05:29 TomTheDragon Note Added: 0029931
2016-01-10 07:02 TomTheDragon File Deleted: 0001-Modify-the-EntityTransferModule-to-use-region-draw-d.patch
2016-01-10 07:03 TomTheDragon File Added: 0001-Fix-region-data-range-selection-in-the-PGSQL-backend.patch
2016-01-10 07:04 TomTheDragon Note Added: 0029932
2016-01-10 07:04 TomTheDragon Status new => patch included
2016-01-10 10:16 UbitUmarov Note Added: 0029933
2016-01-23 20:22 alynnafoxie Note Added: 0030020
2016-01-27 18:07 TomTheDragon Note Added: 0030031
2016-03-04 06:22 Gavin Hird Note Added: 0030056
2016-03-04 06:36 Gavin Hird Note Added: 0030057
2016-03-04 06:46 Gavin Hird Note Added: 0030058
2016-03-04 07:19 Gavin Hird File Added: entity transfer failure.log
2016-03-04 07:24 Gavin Hird Note Added: 0030059
2016-03-04 07:27 Gavin Hird Note Edited: 0030059 View Revisions
2016-03-04 07:31 Gavin Hird Note Deleted: 0030059
2016-03-04 07:34 Gavin Hird Note Added: 0030060
2016-03-06 15:30 TomTheDragon Note Added: 0030069
2016-06-07 02:06 Scooby Scorfield Note Added: 0030414
2016-06-07 11:08 kenvc Note Added: 0030418
2016-06-07 11:09 kenvc Note Edited: 0030418 View Revisions
2016-06-07 12:01 Diva Relationship added related to 0007862
2016-06-10 08:26 Diva Note Added: 0030443
2016-06-15 01:22 Scooby Scorfield Note Added: 0030530
2016-06-15 02:28 danbanner Note Added: 0030531
2016-06-21 09:35 Diva Note Added: 0030617
2016-06-22 00:15 Mandarinka Tasty Note Added: 0030651
2016-06-22 01:00 Mandarinka Tasty Note Edited: 0030651 View Revisions
2016-06-22 01:07 Mandarinka Tasty Note Added: 0030652
2016-06-22 01:21 Mandarinka Tasty Note Edited: 0030652 View Revisions
2016-06-22 04:47 Robert Adams Note Added: 0030653
2016-06-22 05:52 Mandarinka Tasty Note Added: 0030654
2016-06-22 07:08 nebadon Note Added: 0030661
2016-06-22 08:19 Diva Note Added: 0030662
2016-06-22 12:00 Mandarinka Tasty Note Added: 0030669
2016-06-22 13:12 Mandarinka Tasty Note Added: 0030672
2016-06-22 13:17 nebadon Note Added: 0030673
2016-06-22 13:19 nebadon Note Added: 0030674
2016-06-22 13:47 Mandarinka Tasty Note Added: 0030675
2016-06-22 13:49 Mandarinka Tasty Note Added: 0030676
2016-06-22 13:59 Gavin Hird Note Added: 0030677
2016-06-22 14:16 Mandarinka Tasty Note Added: 0030678
2016-06-22 14:16 Mandarinka Tasty Note Edited: 0030678 View Revisions
2016-06-22 14:19 Diva Note Added: 0030679
2016-06-22 14:48 Diva Note Added: 0030680
2016-06-22 14:50 Mandarinka Tasty Note Added: 0030681
2016-06-22 14:50 Mandarinka Tasty Note Added: 0030682
2016-06-22 14:56 Diva Note Added: 0030683
2016-06-22 15:00 Mandarinka Tasty Note Added: 0030684
2016-06-22 15:17 Mandarinka Tasty Note Added: 0030685
2016-06-22 15:25 Diva Note Added: 0030686
2016-06-22 15:56 Diva Note Added: 0030687
2016-06-22 17:22 Mandarinka Tasty Note Added: 0030688
2016-06-22 17:57 Mandarinka Tasty Note Added: 0030689
2016-06-22 18:11 Diva Note Added: 0030690
2016-06-22 18:25 Diva Note Edited: 0030690 View Revisions
2016-06-23 14:02 Diva Note Added: 0030713
2016-06-23 14:12 Mandarinka Tasty Note Added: 0030714
2016-06-23 14:23 Diva Note Added: 0030715
2016-06-23 14:23 Diva Status patch included => resolved
2016-06-23 14:23 Diva Resolution open => fixed
2016-06-23 14:23 Diva Assigned To => Diva
2019-02-06 11:30 BillBlight Note Added: 0034515
2019-02-06 11:30 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker